%define Name Wormux
Name: wormux
Version: 0.8.2
Release: alt1
Summary: 2D convivial mass murder game
Group: Games/Arcade
License: %gpl2plus
Url: http://www.%name.org
Source: http://download.gna.org/%name/%name-%version.tar
Patch: %name-%version-%release.patch
Requires: %name-data fonts-ttf-dejavu
Packager: Led <led@altlinux.ru>

BuildRequires(pre): rpm-build-licenses
# Automatically added by buildreq on Sat Jul 26 2008
BuildRequires: ImageMagick gcc-c++ libSDL-devel libSDL_gfx-devel
BuildRequires: libSDL_image-devel libSDL_mixer-devel libSDL_net-devel
BuildRequires: libSDL_ttf-devel libX11-devel libcurl-devel libpng-devel
BuildRequires: libxml2-devel

%description
Battle your favorite free software mascots in the %Name arena. With
big sticks of dynamite, grenades, baseball bats, and bazookas you can
exterminate your opponent in a 2D cartoon style scenery. The goal of
the game is to destroy all of your opponents' mascots.


%package data
Summary: Data files for %name
Group: Games/Arcade
BuildArch: noarch
Requires: %name = %version

%description data
Data files for %name.


%prep
%setup
%patch -p1


%build
%configure \
    --bindir=%_gamesbindir \
    --with-datadir-name=%_gamesdatadir/%name \
    --with-font-path=%_datadir/fonts/ttf/dejavu/DejaVuSans.ttf \
    CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"
%make_build
for s in 16 22 24 36 48 64 72 96 192; do
    convert -resize ${s}x$s -depth 8 data/%{name}_{256x256,${s}x$s}.png
done
bzip2 --keep --force --best -- ChangeLog



%install
%make_install DESTDIR="%buildroot" install
rm -f %buildroot%_gamesdatadir/%name/*.{icns,png,xpm}
for s in 16 22 24 32 36 48 64 72 96 128 192; do
    install -D -m 0644 {data/%{name}_${s}x$s,%buildroot%_iconsdir/hicolor/${s}x$s/apps/%name}.png
done
install -d -m 0755 %buildroot%_iconsdir/hicolor/scalable/apps
mv %buildroot{%_gamesdatadir/%name,%_iconsdir/hicolor/scalable/apps}/%name.svg

%find_lang %name


%post
%update_menus

%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS ChangeLog.* README
%_gamesbindir/*
%_desktopdir/*
%_iconsdir/hicolor/*/apps/*
%_man6dir/*


%files data
%_gamesdatadir/%name


%changelog
* Sun Nov 09 2008 Led <led@altlinux.ru> 0.8.2-alt1
- 0.8.2

* Sun Oct 12 2008 Led <led@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Sun Aug 10 2008 Led <led@altlinux.ru> 0.8-alt3
- fixed %name.desktop

* Sat Jul 26 2008 Led <led@altlinux.ru> 0.8-alt2
- 0.8 release
- clean up spec
- added %name-0.8-alt.patch
- fixed License

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1.alpha1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for wormux

* Fri Nov 03 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.8-alt1.alpha1
- Modified a bit wormux.desktop file.
- Game binary moved to %%_gamesbindir.

* Fri Nov 03 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.8-alt0.alpha1
- ALTLinuxized.

* Fri Sep 1 2006 Wart <wart@kobold.org> 0.7.4-1
- Update to 0.7.4

* Fri Aug 04 2006 Wart <wart@kobold.org> 0.7.2-6
- Add 'ArcadeGame' category to .desktop file

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.7.2-5
- Improve grammar in description

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.7.2-4
- Fix broken path to desktop icon
- Fix typo in description

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.7.2-3
- Use RPM_BUILD_ROOT consistently
- Put the wormux icon in a size-specific directory
- Removed INSTALL from the documentation files

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.7.2-2
- Expanded the description
- Separated game data into a subpackage

* Fri Jun 02 2006 Wart <wart@kobold.org> 0.7.2-1
- Initial Fedora Extras package
